export default () => (next) => (action) => {
  const title = `👾 redux (action): ${action.type}`;
  const startMark = `${action.type}:start`;
  const endMark = `${action.type}:end`;
  performance.mark(startMark);
  const result = next(action);
  performance.mark(endMark);
  performance.measure(title, startMark, endMark);
  return result;
};
